Bug 1012 - Disc layout changed after upgrade to 2.0.36-3?
Disc layout changed after upgrade to 2.0.36-3?
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
5.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-02-01 07:13 EST by bofh
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-08 17:43:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bofh 1999-02-01 07:13:47 EST
We installed a new system from the RedHat Linux 5.2 CD.
After the installation we installed the updated RPMS,
including the 2.0.36-3 kernel. After making a new initrd
image and changing /etc/lilo.conf we ran /sbin/lilo. It all
went ok and we rebooted. After the reboot the system loaded
the new kernel and the had a VFS panic and the system
halted. Using a boot disk we could start the system and
everything worked ok. Then we created a 2.0.36-3 bootdisk
(mkbootdisk) and started from that. Another VFS panic... We
booted from a rescue disc with the 2.0.36-3 bootdisk and
examined the system. fdisk -l complained about partitions
not ending on an even cylinder boundries. We backed up the
system to a tape, repartitioned the system under 2.0.36-3
and restored the backup, ran a /sbin/lilo and the system
worked alright. This system had an Adaptec 7985 onboard
ultra scsi controller.

Later we compiled a custom 2.0.36-3 kernel from the
kernel-source package and removed a lot of features and
included two of our "standard" scsi drivers in the kernel.
We installed this kernel on four machines. Three with some
Adaptec 2940 SCSI cards and one with some BusLogic card. The
computers with the Adaptec cards had no problems but the
computer with the BusLogic card got a lot of these errors
when it used the new kernel:
EXT2-fs warning (device 08:02): ext2_free_blocks: bit
already cleared for block 4462
EXT2-fs warning (device 08:02): ext2_free_blocks: bit
already cleared for block 4466
EXT2-fs warning (device 08:02): ext2_free_inode: bit already
cleared for inode 186
scsi0: Adopting Geometry 64/32 from Partition Table

and some files have been overwritten with other data. On
this system fdisk -l doesn't compain about the partitions...

I don't have the oppertunity to further investigate what
might be wrong.

Regards,
Sebastian
Comment 1 David Lawrence 1999-04-08 17:43:59 EDT
Have you tried obtaining the 2.2 kernel source from from
ftp://ftp.redhat.com/starbuck/i386/SRPMS/SRPMS/kernel-2.2.5-4.src.rpm.
The aic7xxx support is better in the newer kernel than the one
originally shipped with 5.2. Reopen this bug if this doesnt help.

Note You need to log in before you can comment on or make changes to this bug.